/** @file CHexToInt.cpp
*
*
* 07.03.26 - Hex to integer conversion example
* 
*
*/

/***************************************************************************
 *   Copyright (C) 2007 by Jan Koci   *
 *   honza.koci@email.cz   *
 *   http://kengine.sourceforge.net/tutorial/
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "HexToInt.h"

CHexToInt::CHexToInt()
{
	stringstream stream;
	// Convert class adress to string
	stream << this;
	m_strId = stream.str();
	cout << "m_strId = " << m_strId << endl;
	// Convert class adress to integer
	m_iId = (int) this;
	cout << "m_iId = " << m_iId << endl;
	// Convert integer back to hexadecimal
	char strHexa[10];
	sprintf(strHexa, "%x", m_iId);
	cout << "Int to Hex = " << strHexa << endl;
	// Test Int to Hex by cout
	cout << "Hex number = " << hex << m_strId << endl << endl;
}

CHexToInt::~CHexToInt()
{
	m_strId = "";
	m_iId = 0;
}
